/{organizationId}/{mandateId}/booking/resources/occupancyList occupancy
Returns a list of occupancy for a given resource for a given mandate
Required permissions:
mandate.read
resource.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
searchTermstringoptional resourceIdstringoptional siteIdstringoptional minItems: 1
maxItems: 100
fromDatedate-timerequired toDatedate-timerequired Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/occupancy' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"fromDate": "2026-06-15T22:30:00Z",
"toDate": "2026-06-15T22:30:00Z"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"records": [
{
"resource": "000000000000000000000001",
"resourceName": "string",
"resourceType": "place",
"site": "000000000000000000000001",
"siteName": "string",
"stock": 1,
"occupancies": [
{
"status": {},
"from": "2026-06-15T22:30:00Z",
"to": "2026-06-15T22:30:00Z",
"quantity": 1,
"bookingRecordNumbers": [
"string"
],
"bookingQuantity": 0
}
]
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}